rest_n.hpp File Reference
`#include <msgpack/preprocessor/arithmetic/inc.hpp>`
`#include <msgpack/preprocessor/comparison/not_equal.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/control/expr_iif.hpp>`
`#include <msgpack/preprocessor/facilities/identity.hpp>`
`#include <msgpack/preprocessor/logical/bitand.hpp>`
`#include <msgpack/preprocessor/seq/detail/is_empty.hpp>`
`#include <msgpack/preprocessor/seq/detail/split.hpp>`
`#include <msgpack/preprocessor/tuple/elem.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_SEQ_REST_N(n, seq) MSGPACK_PP_SEQ_REST_N_I(n, seq)
#define | MSGPACK_PP_SEQ_REST_N_I(n, seq) MSGPACK_PP_SEQ_REST_N_DETAIL_EXEC(n, seq, MSGPACK_PP_SEQ_DETAIL_EMPTY_SIZE(seq))
#define | MSGPACK_PP_SEQ_REST_N_DETAIL_EXEC(n, seq, size)

## Macro Definition Documentation

## MSGPACK_PP_SEQ_REST_N

#define MSGPACK_PP_SEQ_REST_N | ( |  | n,
|  |  | seq
| ) |  | MSGPACK_PP_SEQ_REST_N_I(n, seq)

## MSGPACK_PP_SEQ_REST_N_DETAIL_EXEC

#define MSGPACK_PP_SEQ_REST_N_DETAIL_EXEC | ( |  | n,
|  |  | seq,
|  |  | size
| ) |  |

Value:
MSGPACK_PP_EXPR_IIF \
( \
MSGPACK_PP_BITAND \
( \
MSGPACK_PP_SEQ_DETAIL_IS_NOT_EMPTY_SIZE(size), \
MSGPACK_PP_NOT_EQUAL(n,size) \
), \
MSGPACK_PP_TUPLE_ELEM(2, 1, MSGPACK_PP_SEQ_SPLIT(MSGPACK_PP_INC(n), MSGPACK_PP_IDENTITY( (nil) seq )))() \
) \
MSGPACK_PP_EXPR_IIF
#define MSGPACK_PP_EXPR_IIF(bit, expr)
Definition: expr_iif.hpp:22
MSGPACK_PP_TUPLE_ELEM
#define MSGPACK_PP_TUPLE_ELEM(size, n, tuple)
Definition: elem.hpp:57
msgpack::type::nil
nil_t nil
Definition: nil_decl.hpp:24
MSGPACK_PP_IDENTITY
#define MSGPACK_PP_IDENTITY(item)
Definition: identity.hpp:23
msgpack::type::size
std::size_t size(T const &t)
Definition: size_equal_only.hpp:24
MSGPACK_PP_INC
#define MSGPACK_PP_INC(x)
Definition: inc.hpp:24
MSGPACK_PP_SEQ_SPLIT
#define MSGPACK_PP_SEQ_SPLIT(n, seq)
Definition: split.hpp:19

## MSGPACK_PP_SEQ_REST_N_I

#define MSGPACK_PP_SEQ_REST_N_I | ( |  | n,
|  |  | seq
| ) |  | MSGPACK_PP_SEQ_REST_N_DETAIL_EXEC(n, seq, MSGPACK_PP_SEQ_DETAIL_EMPTY_SIZE(seq))